package com.smppw.common.pojo.enums;

import java.util.stream.Stream;

/**
 * @author zhengsongliang
 */
public enum WinRateBmk {
	Benchmark(1), Zero(2),AssetModel(3);
	private final int id;

	WinRateBmk(int id) {
		this.id = id;
	}

	public int getId() {
		return id;
	}

	public static WinRateBmk getWinningRateBmk(int id) {
		return Stream.of(WinRateBmk.values()).filter(e -> e.id == id).findFirst().orElse(null);
	}
}
